1

I'm trying to run dist-upgrade on Debian 6 but it fails on installation of startpar with:

dpkg: considering deconfiguration of sysvinit-utils, which would be broken by installation of startpar ...
dpkg: no, sysvinit-utils is essential, will not deconfigure
it in order to enable installation of startpar.
dpkg: error processing /var/cache/apt/archives/startpar_0.59-3_amd64.deb (--unpack):
 installing startpar would break existing software
configured to not write apport reports
                                  Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/startpar_0.59-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Do you have any idea how to fix this?

3

Startpar is not included in Debian 6, so you've obviously mucked about with your repository config. Undo that, remove startpar and try again.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.